#
#-------------------------------------------------------------------------------
# @(#) xml-3gpp/tech_pack_support/Ericsson_IMS/UserConfig.pm xml-3gpp_r3.2.1.2:cset.002211:2:2@(#)
#-------------------------------------------------------------------------------
#
# This perl module contains the configuration information for this parser.
# If you don't understand the format of this configuration file DON'T TOUCH IT.
#
# My Vendor Interface
#
# Copyright (c) 2005 Vallent Software Systems UK. All rights reserved.
#
package UserConfig;

# Company Name:

@ISA = qw(Exporter);
@EXPORT = qw(postparser_config);

#use diagnostics;
use strict;
use Exporter ();

#-------------------------------------------------------------------------------

my @rules = (
#-------------------------------------------------------------------------------
# Modify/Add rules here
#-------------------------------------------------------------------------------

#########################
# Start Processing MGW and MGWCause.
#########################
{
        RULE_TYPE                               => 'JOIN',
        RULE_DESC                               => 'Join MGW pif',
        INPUT_FILE_DESCRIPTION                  => ['^MGW-#-(\w+-#-900-#-\d{2}\w{3}\d{4}_\d{2}:\d{2}:\d{2})-#-\w{1}-#-\d+-#-I\.pif'],
        COUNTERS_TO_JOIN_ON                     => [ qw(moid) ],
        HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [ "neun_NE", "mts_Date", "mts_Time" ],
        OUTPUT_BLOCK_NAME                       => 'MGW',
        OUTPUT_FILENAME_START                   => 'MGW_Joined',
        PRODUCE_PIF                             => 'True',
        PRODUCE_LIF                             => 0,
        NON_APPLICABLE_HEADER_COUNTERS          => [],
        REDUNDANT_COUNTERS                      => [],
        HOURS_TO_WAIT_FOR_PARTNER_FILES         => 0.5,
        #HOURS_TO_WAIT_FOR_PARTNER_FILES         => 0.1,
},

{
	RULE_TYPE				=> 'ACCUMULATE',
	RULE_DESC			 	=> 'Accumalate MGW group to neun_NE Level',
	INPUT_FILE_DESCRIPTION          	=> [ '^MGW_Joined-#-.*-#-J\.pif$' ],
	#COUNTERS_TO_SORT_ON 			=> [ qw(moid) ],
	COUNTERS_TO_SORT_ON 			=> [],
	OUTPUT_BLOCK_NAME			=> 'MGW',
	NON_ADDITIVE_COUNTERS			=> [qw(moid mts moid_mgw moid_cause)],
	REDUNDANT_DATA_COUNTERS  		=> [qw(moid moid_cause)],
	PRODUCE_PIF				=> 0,
	PRODUCE_LIF				=> 'True',
},

{
        RULE_TYPE                               => 'JOIN',
        RULE_DESC                               => 'Join MGWCause pif',
        INPUT_FILE_DESCRIPTION                  => ['^MGWCause-#-(\w+-#-3600-#-\d{2}\w{3}\d{4}_\d{2}:\d{2}:\d{2})-#-\w{1}-#-\d+-#-I\.pif'],
        #INPUT_FILE_DESCRIPTION                  => ['^MGWCause-#-(\w+-#-\d{2}\w{3}\d{4}_\d{2}:\d{2}:\d{2})-#-\w{1}-#-\d+-#-I\.pif'],
        COUNTERS_TO_JOIN_ON                     => [ qw(moid moid_mgw moid_cause) ],
        HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [ "neun_NE", "StartDate", "StartTime" ],
        OUTPUT_BLOCK_NAME                       => 'MGWCause',
        OUTPUT_FILENAME_START                   => 'MGWCause_Joined',
        PRODUCE_PIF                             => 0,
        PRODUCE_LIF                             => 'True',
        NON_APPLICABLE_HEADER_COUNTERS          => [],
        REDUNDANT_COUNTERS                      => [],
        HOURS_TO_WAIT_FOR_PARTNER_FILES         => 0.1,
},


#########################
# End Processing MGW and MGWCause.
#########################
#########################
# Processing Server Application, Server DS, BW_MedSerMCP Media, Server DNS, IPMM_Ipwrk_DnsUpdate DNS.
#########################
{
	RULE_TYPE				=> 'JOIN',
	RULE_DESC				=> 'Join Server_app pif',
	INPUT_FILE_DESCRIPTION			=> [ 'Server_app-#-(.*)-#-A-#-\d+-#-I\.pif$' ],
	COUNTERS_TO_JOIN_ON			=> [ qw( moid ) ],
	HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [ "sn_ManagedElement", "StartDate", "StartTime" ],
	OUTPUT_BLOCK_NAME			=> 'Server_app',
	OUTPUT_FILENAME_START			=> 'Server_app_joined',
	PRODUCE_PIF 				=> 'True',
	PRODUCE_LIF				=> 0,
	NON_APPLICABLE_HEADER_COUNTERS 		=> [],
	REDUNDANT_COUNTERS 			=> [],
        HOURS_TO_WAIT_FOR_PARTNER_FILES 	=> 0.1,
},

{
	RULE_TYPE				=> 'ACCUMULATE',
	RULE_DESC			 	=> 'Accumalate Server_app group to sn_ManagedElement Level',
	INPUT_FILE_DESCRIPTION          	=> [ '^Server_app_joined-#-.*-#-J\.pif$' ],
	COUNTERS_TO_SORT_ON 			=> [ qw(moid_iso) ],
	OUTPUT_BLOCK_NAME			=> 'Server_app',
	#NON_ADDITIVE_COUNTERS			=> [qw(moid)],
	NON_ADDITIVE_COUNTERS			=> [qw(moid moid_bwServiceTypeSystemEntry moid_bwDeviceTypeSystemTable moid_bwSipStatsNotifyResponsesTable moid_bwSipStatsInviteResponsesTable moid_sunHostPerf moid_lastNumberRedial moid_bwSystemInternalQueueEntry moid_bwSystemSPTable moid_mib-2 moid_psSystemInternalQueueTable moid_psExternalCallLogsStats moid_bwSipStatsPrackResponsesEntry moid_bwPhysicalLocationSPEntry moid_bwCallpGroupTable moid_bwCallpSPEntry moid_internalStats moid_callForwardingNoAnswer moid_callForwardingAlways moid_dod moid_systemStats moid_bwServiceTypeSystemTable moid_physicalLocation moid_priorityAlert moid_interfaces moid_psSystemModule moid_bwSystemInternalQueueTable moid_callPark moid_sunMib moid_bwSystemGroupEntry moid_doNotDisturb moid_externalCallLogsStats moid_overloadStats moid_psExternalCallLogsModule moid_psInternalStats moid_bwSipStatsPrackResponsesTable moid_bwPhysicalLocationSPTable moid_bwCallpSPTable moid_broadsoft moid_callingNameRetrieval moid_commPilotCallManager moid_callpStats moid_ifEntry moid_callingLineIDDeliveryBlock moid_private moid_mgmt moid_callCapacity moid_incomingCallingPlan moid_externalCallLogsModule moid_bwSystemGroupTable moid_callPickup moid_bwPhysicalLocationGroupEntry moid_anonymousCallRejection moid_internet moid_huntGroups moid_enterprises moid_bwDeviceTypeSystemEntry moid_iso moid_bwSipStatsNotifyResponsesEntry moid_bwSipStatsInviteResponsesEntry moid_executionServer moid_systemModule moid_callForwardingBusy moid_services moid_ifTable moid_sipStats moid_bwSystemSPEntry moid_autoAttendant moid_musicOnHold moid_broadworks moid_psSystemInternalQueueEntry moid_callReturn moid_sun moid_instantConferencing moid_intercept moid_org moid_bwPhysicalLocationGroupTable moid_flashCallWaiting moid_bwCallpGroupEntry moid_callpModule moid_sipModule moid_provisioningServer)],
	#REDUNDANT_DATA_COUNTERS  		=> [qw(moid)],
	REDUNDANT_DATA_COUNTERS			=> [qw(moid moid_bwServiceTypeSystemEntry moid_bwDeviceTypeSystemTable moid_bwSipStatsNotifyResponsesTable moid_bwSipStatsInviteResponsesTable moid_sunHostPerf moid_lastNumberRedial moid_bwSystemInternalQueueEntry moid_bwSystemSPTable moid_mib-2 moid_psSystemInternalQueueTable moid_psExternalCallLogsStats moid_bwSipStatsPrackResponsesEntry moid_bwPhysicalLocationSPEntry moid_bwCallpGroupTable moid_bwCallpSPEntry moid_internalStats moid_callForwardingNoAnswer moid_callForwardingAlways moid_dod moid_systemStats moid_bwServiceTypeSystemTable moid_physicalLocation moid_priorityAlert moid_interfaces moid_psSystemModule moid_bwSystemInternalQueueTable moid_callPark moid_sunMib moid_bwSystemGroupEntry moid_doNotDisturb moid_externalCallLogsStats moid_overloadStats moid_psExternalCallLogsModule moid_psInternalStats moid_bwSipStatsPrackResponsesTable moid_bwPhysicalLocationSPTable moid_bwCallpSPTable moid_broadsoft moid_callingNameRetrieval moid_commPilotCallManager moid_callpStats moid_ifEntry moid_callingLineIDDeliveryBlock moid_private moid_mgmt moid_callCapacity moid_incomingCallingPlan moid_externalCallLogsModule moid_bwSystemGroupTable moid_callPickup moid_bwPhysicalLocationGroupEntry moid_anonymousCallRejection moid_internet moid_huntGroups moid_enterprises moid_bwDeviceTypeSystemEntry moid_iso moid_bwSipStatsNotifyResponsesEntry moid_bwSipStatsInviteResponsesEntry moid_executionServer moid_systemModule moid_callForwardingBusy moid_services moid_ifTable moid_sipStats moid_bwSystemSPEntry moid_autoAttendant moid_musicOnHold moid_broadworks moid_psSystemInternalQueueEntry moid_callReturn moid_sun moid_instantConferencing moid_intercept moid_org moid_bwPhysicalLocationGroupTable moid_flashCallWaiting moid_bwCallpGroupEntry moid_callpModule moid_sipModule moid_provisioningServer)],
	PRODUCE_PIF				=> 0,
        OUTPUT_FORMAT            		=> 'LIF_Writer',
},

{
	RULE_TYPE				=> 'JOIN',
	RULE_DESC				=> 'Join Server_app_confgroup pif',
	INPUT_FILE_DESCRIPTION			=> [ 'Server_app_confgroup-#-(.*)-#-A-#-\d+-#-I\.pif$' ],
	COUNTERS_TO_JOIN_ON			=> [ qw( moid ) ],
	HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [ "sn_ManagedElement", "StartDate", "StartTime" ],
	OUTPUT_BLOCK_NAME			=> 'Server_app_confgroup',
	OUTPUT_FILENAME_START			=> 'Server_app_confgroup_joined',
	PRODUCE_PIF 				=> 'True',
	PRODUCE_LIF				=> 0,
	NON_APPLICABLE_HEADER_COUNTERS 		=> [],
	REDUNDANT_COUNTERS 			=> [],
        HOURS_TO_WAIT_FOR_PARTNER_FILES 	=> 0.1,
},

{
	RULE_TYPE				=> 'ACCUMULATE',
	RULE_DESC			 	=> 'Accumalate Server_app_confgroup group to sn_ManagedElement Level',
	INPUT_FILE_DESCRIPTION          	=> [ '^Server_app_confgroup_joined-#-.*-#-J\.pif$' ],
	COUNTERS_TO_SORT_ON 			=> [ qw(moid_iso) ],
	OUTPUT_BLOCK_NAME			=> 'Server_app_confgroup',
	#NON_ADDITIVE_COUNTERS			=> [qw(moid)],
	NON_ADDITIVE_COUNTERS			=> [qw(moid moid_iso moid_executionServer moid_instantConferencing moid_org moid_services moid_bwInstantConferencingGroupEntry moid_bwInstantConferencingGroupTable moid_private moid_broadsoft moid_internet moid_broadworks moid_enterprises moid_dod)],
	#REDUNDANT_DATA_COUNTERS  		=> [qw(moid)],
	REDUNDANT_DATA_COUNTERS			=> [qw(moid moid_iso moid_executionServer moid_instantConferencing moid_org moid_services moid_bwInstantConferencingGroupEntry moid_bwInstantConferencingGroupTable moid_private moid_broadsoft moid_internet moid_broadworks moid_enterprises moid_dod)],
	PRODUCE_PIF				=> 0,
        OUTPUT_FORMAT            		=> 'LIF_Writer',
},

#### Not to process Server_ds/Server_dns files - No PM setup for this data RP 16Apr07
#{
#        RULE_TYPE               		=> 'BATCHFILES',
#        RULE_DESC               		=> 'Batch Server Application PIF Files',
#        INPUT_FILE_DESCRIPTION  		=> [ '(^Server_ds-#-.*-#-\d{2}\w{3}\d{4})_\d{2}:\d{2}:\d{2}-#-\w{1}-#-\d+-#-I.pif$', ],
#        REDUNDANT_HEADER_COUNTERS 		=> [],
#        REDUNDANT_DATA_COUNTERS 		=> [],
#        PRODUCE_PIF             		=> 0,
#        HOURS_TO_WAIT_FOR_PARTNER_FILES         => -1,
#        OUTPUT_FILENAME_START		        => 'BATCHED',
#        OUTPUT_FORMAT            		=> 'LIF_Writer',
#        OUTPUT_BLOCK_NAME        		=> 'Server_ds',
#},
#
#{
#        RULE_TYPE               		=> 'BATCHFILES',
#        RULE_DESC               		=> 'Batch Server Application PIF Files',
#        INPUT_FILE_DESCRIPTION  		=> [ '(^Server_dns-#-.*-#-\d{2}\w{3}\d{4})_\d{2}:\d{2}:\d{2}-#-\w{1}-#-\d+-#-I.pif$', ],
#        REDUNDANT_HEADER_COUNTERS 		=> [],
#        REDUNDANT_DATA_COUNTERS 		=> [],
#        PRODUCE_PIF             		=> 0,
#        HOURS_TO_WAIT_FOR_PARTNER_FILES         => -1,
#        OUTPUT_FILENAME_START		        => 'BATCHED',
#        OUTPUT_FORMAT            		=> 'LIF_Writer',
#        OUTPUT_BLOCK_NAME        		=> 'Server_dns',
#},

{
	RULE_TYPE				=> 'JOIN',
	RULE_DESC				=> 'Join BW_MedSerMCP_media pif',
	INPUT_FILE_DESCRIPTION			=> [ 'BW_MedSerMCP_media-#-(.*)-#-A-#-\d+-#-I\.pif$' ],
	COUNTERS_TO_JOIN_ON			=> [ qw( moid ) ],
	HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [ "sn_ManagedElement", "StartDate", "StartTime" ],
	OUTPUT_BLOCK_NAME			=> 'BW_MedSerMCP_media',
	OUTPUT_FILENAME_START			=> 'BW_MedSerMCP_media_joined',
	PRODUCE_PIF 				=> 'True',
	PRODUCE_LIF				=> 0,
	NON_APPLICABLE_HEADER_COUNTERS 		=> [],
	REDUNDANT_COUNTERS 			=> [],
        HOURS_TO_WAIT_FOR_PARTNER_FILES 	=> 0.1,
},

{
	RULE_TYPE				=> 'ACCUMULATE',
	RULE_DESC			 	=> 'Accumalate BW_MedSerMCP_media group to sn_ManagedElement Level',
	INPUT_FILE_DESCRIPTION          	=> [ '^BW_MedSerMCP_media_joined-#-.*-#-J\.pif$' ],
	COUNTERS_TO_SORT_ON 			=> [ qw(moid_iso) ],
	OUTPUT_BLOCK_NAME			=> 'BW_MedSerMCP_media',
	#NON_ADDITIVE_COUNTERS			=> [qw(moid)],
	NON_ADDITIVE_COUNTERS			=> [qw(moid moid_liveaudio moid_mediaServer moid_mib-2 moid_ivr moid_mcp moid_management moid_dod moid_sip moid_interfaces moid_rtp moid_smtp moid_transmit moid_broadsoft moid_conferencing moid_primary moid_ifEntry moid_private moid_mgmt moid_http moid_internet moid_enterprises moid_ifTable moid_secondary moid_broadworks moid_system moid_mscml moid_receive moid_org moid_video)],
	#REDUNDANT_DATA_COUNTERS  		=> [qw(moid)],
	REDUNDANT_DATA_COUNTERS			=> [qw(moid moid_liveaudio moid_mediaServer moid_mib-2 moid_ivr moid_mcp moid_management moid_dod moid_sip moid_interfaces moid_rtp moid_smtp moid_transmit moid_broadsoft moid_conferencing moid_primary moid_ifEntry moid_private moid_mgmt moid_http moid_internet moid_enterprises moid_iso moid_ifTable moid_secondary moid_broadworks moid_system moid_mscml moid_receive moid_org moid_video)],
        PRODUCE_PIF             		=> 0,
        OUTPUT_FORMAT            		=> 'LIF_Writer',
},

{
	RULE_TYPE				=> 'JOIN',
	RULE_DESC				=> 'Join IPMM_Ipwrk_DnsUpdate_dns pif',
	INPUT_FILE_DESCRIPTION			=> [ 'IPMM_Ipwrk_DnsUpdate_dns-#-(.*)-#-A-#-\d+-#-I\.pif$' ],
	COUNTERS_TO_JOIN_ON			=> [ qw( moid ) ],
	HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [ "sn_ManagedElement", "StartDate", "StartTime" ],
	OUTPUT_BLOCK_NAME			=> 'IPMM_Ipwrk_DnsUpdate_dns',
	OUTPUT_FILENAME_START			=> 'IPMM_Ipwrk_DnsUpdate_dns_joined',
	PRODUCE_PIF 				=> 'True',
	PRODUCE_LIF				=> 0,
	NON_APPLICABLE_HEADER_COUNTERS 		=> [],
	REDUNDANT_COUNTERS 			=> [],
        HOURS_TO_WAIT_FOR_PARTNER_FILES 	=> 0.1,
},

{
	RULE_TYPE				=> 'ACCUMULATE',
	RULE_DESC			 	=> 'Accumalate IPMM_Ipwrk_DnsUpdate_dns group to sn_ManagedElement Level',
	INPUT_FILE_DESCRIPTION          	=> [ '^IPMM_Ipwrk_DnsUpdate_dns_joined-#-.*-#-J\.pif$' ],
	COUNTERS_TO_SORT_ON 			=> [ qw(moid_iso) ],
	OUTPUT_BLOCK_NAME			=> 'IPMM_Ipwrk_DnsUpdate_dns',
	#NON_ADDITIVE_COUNTERS			=> [qw(moid)],
	NON_ADDITIVE_COUNTERS			=> [qw(moid moid_ericsson moid_ifTable moid_ifEntry moid_ipworks moid_interfaces moid_private moid_mgmt moid_ipworksDns moid_ipworksDnsServQuery moid_mib-2 moid_ipworksDnsServMIBObjects moid_ipworksProducts moid_org moid_ipworksDnsServUpdate moid_internet moid_enterprises moid_ipworksDnsServMIB moid_dod)],
	#REDUNDANT_DATA_COUNTERS  		=> [qw(moid)],
	REDUNDANT_DATA_COUNTERS			=> [qw(moid moid_iso moid_ericsson moid_ifTable moid_ifEntry moid_ipworks moid_interfaces moid_private moid_mgmt moid_ipworksDns moid_ipworksDnsServQuery moid_mib-2 moid_ipworksDnsServMIBObjects moid_ipworksProducts moid_org moid_ipworksDnsServUpdate moid_internet moid_enterprises moid_ipworksDnsServMIB moid_dod)],
	PRODUCE_PIF				=> 0,
        OUTPUT_FORMAT            		=> 'LIF_Writer',
},

#########################
# End Processing for Server Application, Server DS, BW_MedSerMCP Media, Server DNS, IPMM_Ipwrk_DnsUpdate DNS.
#########################

#########################
# Start Processing for PlatformMeasures and OamProvisioningCounter - HSS
#########################
{
        RULE_TYPE                		=> 'DATALINE_WHERE',
        RULE_DESC                		=> 'Split files by SRC_LEVEL for JIM',
        INPUT_FILE_DESCRIPTION  		=> [ '^OamProvisioningCounter_Source-#-grahss.*-#-I\.pif$' ],
        PRODUCE_PIF              		=> 0,
        OUTPUT_FORMAT            		=> 'LIF_Writer',
	COUNTER_NAMES		 		=>
				   		[ {
							COUNTER_NAME	=> 'moid_Source',
							KEEP_WHERE	=> ['Proc_\w+'],
							REMOVE_WHERE	=> ['_SYSTEM'],
				     		},],
        OUTPUT_BLOCK_NAME        		=> 'JIM',
	FILENAME_ADDITION        		=> 'JIM',
},

{
        RULE_TYPE                		=> 'DATALINE_WHERE',
        RULE_DESC                		=> 'Split files by SRC_LEVEL for HJIM',
        INPUT_FILE_DESCRIPTION  		=> [ '^OamProvisioningCounter_Source-#-grahss.*-#-I\.pif$' ],
        PRODUCE_PIF              		=> 'True',
	PRODUCE_LIF		  		=> 0,
	COUNTER_NAMES		 		=>
				   		[ {
							COUNTER_NAME	=> 'moid_Source',
							KEEP_WHERE	=> ['_SYSTEM'],
							REMOVE_WHERE	=> ['Proc_\w+'],
				     		}, ],
        OUTPUT_BLOCK_NAME        		=> 'HJIM',
	FILENAME_ADDITION        		=> 'HJIM',
},

{
	RULE_TYPE				=> 'ACCUMULATE',
	RULE_DESC			 	=> 'Accumalate OamProvisioningCounter_Source group to sn_g3ManagedElement Level',
	INPUT_FILE_DESCRIPTION          	=> [ '^OamProvisioningCounter_Source-#-grahss.*-#-HJIM-#-DW\.pif$' ],
	COUNTERS_TO_SORT_ON 			=> [ qw(moid_Source) ],
	OUTPUT_BLOCK_NAME			=> 'HJIM',
	NON_ADDITIVE_COUNTERS			=> [qw(moid_OamProvisioningCounter)],
	REDUNDANT_DATA_COUNTERS  		=> [],
	PRODUCE_PIF				=> 0,
	OUTPUT_FORMAT                      	=> 'LIF_Writer',
},

{
        RULE_TYPE                		=> 'DATALINE_WHERE',
        RULE_DESC                		=> 'Split files by SRC_LEVEL for HProc',
        INPUT_FILE_DESCRIPTION  		=> [ '^PlatformMeasures_Source-#-grahss.*-#-I\.pif$' ],
        PRODUCE_PIF              		=> 'True',
	PRODUCE_LIF              		=> 0,
	COUNTER_NAMES		 		=> [ {
							COUNTER_NAME	=> 'moid_Source',
							KEEP_WHERE	=> ['_SYSTEM'],
							REMOVE_WHERE	=> ['Proc_\w+'],
				     		}, ],
        OUTPUT_BLOCK_NAME        		=> 'HProc',
	FILENAME_ADDITION        		=> 'HProc',
},

{
        RULE_TYPE                		=> 'DATALINE_WHERE',
        RULE_DESC                		=> 'Split files by SRC_LEVEL for Proc',
        INPUT_FILE_DESCRIPTION  		=> [ '^PlatformMeasures_Source-#-grahss.*-#-I\.pif$' ],
        PRODUCE_PIF              		=> 0,
        OUTPUT_FORMAT            		=> 'LIF_Writer',
	COUNTER_NAMES		 		=> [ {
							COUNTER_NAME	=> 'moid_Source',
							KEEP_WHERE	=> ['Proc_\w+'],
							REMOVE_WHERE	=> ['_SYSTEM'],
				     		}, ],
        OUTPUT_BLOCK_NAME        		=> 'Proc',
	FILENAME_ADDITION        		=> 'Proc',
},

{
	RULE_TYPE				=> 'ACCUMULATE',
	RULE_DESC			 	=> 'Accumalate PlatformMeasures_Source group to sn_g3ManagedElement Level',
	INPUT_FILE_DESCRIPTION          	=> [ '^PlatformMeasures_Source-#-grahss.*-#-HProc-#-DW\.pif$' ],
	COUNTERS_TO_SORT_ON 			=> [ qw(moid_Source) ],
	OUTPUT_BLOCK_NAME			=> 'HProc',
	NON_ADDITIVE_COUNTERS			=> [qw(moid_PlatformMeasures)],
	REDUNDANT_DATA_COUNTERS  		=> [],
	PRODUCE_PIF				=> 0,
	OUTPUT_FORMAT                      	=> 'LIF_Writer',
},
#########################
# End Processing for PlatformMeasures and OamProvisioningCounter -HSS
#########################
#########################
# Start Processing for PlatformMeasures and OamProvisioningCounter - CSCF.
#########################
{
        RULE_TYPE                		=> 'DATALINE_WHERE',
        RULE_DESC                		=> 'Split files by SRC_LEVEL for CJIM',
        INPUT_FILE_DESCRIPTION  		=> [ '^OamProvisioningCounter_Source-#-gracscf.*-#-I\.pif$' ],
        PRODUCE_PIF              		=> 0,
        OUTPUT_FORMAT            		=> 'LIF_Writer',
	COUNTER_NAMES		 		=> [ {
							COUNTER_NAME	=> 'moid_Source',
							KEEP_WHERE	=> ['Proc_\w+'],
							REMOVE_WHERE	=> ['_SYSTEM'],
				     		}, ],
        OUTPUT_BLOCK_NAME        		=> 'JIM',
	FILENAME_ADDITION        		=> 'JIM',
},

{
        RULE_TYPE                		=> 'DATALINE_WHERE',
        RULE_DESC                		=> 'Split files by SRC_LEVEL for Cproc',
        INPUT_FILE_DESCRIPTION  		=> [ '^PlatformMeasures_Source-#-gracscf.*-#-I\.pif$', ],
        PRODUCE_PIF              		=> 'True',
	PRODUCE_LIF		   		=> 0,
	COUNTER_NAMES		 		=> [ {
							COUNTER_NAME	=> 'moid_Source',
							KEEP_WHERE	=> ['_SYSTEM'],
							REMOVE_WHERE	=> ['Proc_\w+'],
				     		}, ],
        OUTPUT_BLOCK_NAME        		=> 'CProc',
	FILENAME_ADDITION        		=> 'CProc',
},

{
        RULE_TYPE                		=> 'DATALINE_WHERE',
        RULE_DESC                		=> 'Split files by SRC_LEVEL for Proc',
        INPUT_FILE_DESCRIPTION  		=> [ '^OamProvisioningCounter_Source-#-gracscf.*-#-I\.pif$' ],
        PRODUCE_PIF              		=> 'True',
	PRODUCE_LIF		   		=> 0,
	COUNTER_NAMES		 		=> [ {
							COUNTER_NAME	=> 'moid_Source',
							KEEP_WHERE	=> ['_SYSTEM'],
							REMOVE_WHERE	=> ['Proc_\w+'],
				     		}, ], 
	OUTPUT_BLOCK_NAME        		=> 'CJIM',
	FILENAME_ADDITION        		=> 'CJIM',
},

{
        RULE_TYPE                		=> 'DATALINE_WHERE',
        RULE_DESC                		=> 'Split files by SRC_LEVEL for Proc',
        INPUT_FILE_DESCRIPTION  		=> [ '^PlatformMeasures_Source-#-gracscf.*-#-I\.pif$', ],
        PRODUCE_PIF              		=> 0,
        OUTPUT_FORMAT            		=> 'LIF_Writer',
	COUNTER_NAMES		 		=> [ {
							COUNTER_NAME	=> 'moid_Source',
							KEEP_WHERE	=> ['Proc_\w+'],
							REMOVE_WHERE	=> ['_SYSTEM'],
				     		}, ],
        OUTPUT_BLOCK_NAME        		=> 'Proc',
	FILENAME_ADDITION        		=> 'Proc',
},

{
	RULE_TYPE				=> 'ACCUMULATE',
	RULE_DESC			 	=> 'Accumalate OamProvisioningCounter_Source group to sn_g3ManagedElement Level',
	INPUT_FILE_DESCRIPTION          	=> [ '^OamProvisioningCounter_Source-#-gracscf.*-#-CJIM-#-DW\.pif$' ],
	COUNTERS_TO_SORT_ON 			=> [ qw(moid_Source) ],
	OUTPUT_BLOCK_NAME			=> 'CJIM',
	NON_ADDITIVE_COUNTERS			=> [qw(moid_OamProvisioningCounter)],
	REDUNDANT_DATA_COUNTERS  		=> [],
	PRODUCE_PIF				=> 0,
	OUTPUT_FORMAT                      	=> 'LIF_Writer',
},

{
	RULE_TYPE				=> 'ACCUMULATE',
	RULE_DESC			 	=> 'Accumalate PlatformMeasures_Source group to sn_g3ManagedElement Level',
	INPUT_FILE_DESCRIPTION          	=> [ '^PlatformMeasures_Source-#-gracscf.*-#-CProc-#-DW\.pif$' ],
	COUNTERS_TO_SORT_ON 			=> [ qw(moid_Source) ],
	OUTPUT_BLOCK_NAME			=> 'CProc',
	NON_ADDITIVE_COUNTERS			=> [qw(moid_PlatformMeasures)],
	REDUNDANT_DATA_COUNTERS  		=> [],
	PRODUCE_PIF				=> 0,
	OUTPUT_FORMAT                      	=> 'LIF_Writer',
},
#########################
# End Processing for PlatformMeasures and OamProvisioningCounter - CSCF.
#########################
#########################
# Start Processing for CSCF SIPClient - CSCF
#########################
{
        RULE_TYPE                		=> 'DATALINE_WHERE',
        RULE_DESC                		=> 'Split files by SRC_LEVEL',
        INPUT_FILE_DESCRIPTION   		=> [ '^CscfSipClient_Source-#-.*-#-I\.pif$' ],
        PRODUCE_PIF              		=> 0,
        OUTPUT_FORMAT            		=> 'LIF_Writer',
	COUNTER_NAMES		 		=> [ {
							COUNTER_NAME	=> 'moid_Source',
							KEEP_WHERE	=> ['Proc_\w+'],
							REMOVE_WHERE	=> ['_SYSTEM'],
				     		}, ],
        OUTPUT_BLOCK_NAME        		=> 'PCscfSipClient',
	FILENAME_ADDITION        		=> 'PCscfSipClient',
},

{
        RULE_TYPE                		=> 'DATALINE_WHERE',
        RULE_DESC                		=> 'Split files by moid_Source',
        INPUT_FILE_DESCRIPTION   		=> [ '^CscfSipClient_Source-#-.*-#-I\.pif$' ],
        PRODUCE_PIF              		=> 'True',
	PRODUCE_LIF		   		=> 0,
        #OUTPUT_FORMAT            		=> 'LIF_Writer',
	COUNTER_NAMES		 		=> [ {
							COUNTER_NAME	=> 'moid_Source',
							KEEP_WHERE	=> ['_SYSTEM'],
							REMOVE_WHERE	=> ['Proc_\w+'],
				     		}, ],
        OUTPUT_BLOCK_NAME        		=> 'CscfSipClient',
	FILENAME_ADDITION        		=> 'CscfSipClient',
},

{
	RULE_TYPE				=> 'ACCUMULATE',
	RULE_DESC			 	=> 'Accumalate CscfSipClient group to sn_g3ManagedElement Level',
	INPUT_FILE_DESCRIPTION          	=> [ '^CscfSipClient_Source-#-.*-#-CscfSipClient-#-DW\.pif$' ],
	COUNTERS_TO_SORT_ON 			=> [ qw(moid_Source) ],
	OUTPUT_BLOCK_NAME			=> 'CscfSipClient',
	NON_ADDITIVE_COUNTERS			=> [qw(moid_CscfSipClient)],
	REDUNDANT_DATA_COUNTERS  		=> [],
	PRODUCE_LIF				=> 'True',
	PRODUCE_PIF				=> 0,
	OUTPUT_FORMAT                      	=> 'LIF_Writer',
},

#########################
# Start Processing for CSCF SIPServer - CSCF
#########################
{
        RULE_TYPE                		=> 'DATALINE_WHERE',
        RULE_DESC                		=> 'Split files by moid_Source',
        INPUT_FILE_DESCRIPTION   		=> [ '^CscfSipServer_Source-#-.*-#-I\.pif$' ],
        PRODUCE_PIF              		=> 0,
        OUTPUT_FORMAT            		=> 'LIF_Writer',
	COUNTER_NAMES		 		=> [ {
							COUNTER_NAME	=> 'moid_Source',
							KEEP_WHERE	=> ['Proc_\w+'],
							REMOVE_WHERE	=> ['_SYSTEM'],
				     		}, ],
        OUTPUT_BLOCK_NAME        		=> 'PCscfSipServer',
	FILENAME_ADDITION        		=> 'PCscfSipServer',
},

{
        RULE_TYPE                		=> 'DATALINE_WHERE',
        RULE_DESC                		=> 'Split files by moid_Source',
        INPUT_FILE_DESCRIPTION   		=> [ '^CscfSipServer_Source-#-.*-#-I\.pif$' ],
        PRODUCE_PIF              		=> 'True',
	PRODUCE_LIF		   		=> 0,
	COUNTER_NAMES		 		=> [ {
							COUNTER_NAME	=> 'moid_Source',
							KEEP_WHERE	=> ['_SYSTEM'],
							REMOVE_WHERE	=> ['Proc_\w+'],
				     		}, ],
        OUTPUT_BLOCK_NAME        		=> 'CscfSipServer',
	FILENAME_ADDITION        		=> 'CscfSipServer',
},

{
	RULE_TYPE				=> 'ACCUMULATE',
	RULE_DESC			 	=> 'Accumalate CscfSipServer group to sn_g3ManagedElement Level',
	INPUT_FILE_DESCRIPTION          	=> [ '^CscfSipServer_Source-#-.*-#-CscfSipServer-#-DW\.pif$' ],
	COUNTERS_TO_SORT_ON 			=> [ qw(moid_Source) ],
	OUTPUT_BLOCK_NAME			=> 'CscfSipServer',
	NON_ADDITIVE_COUNTERS			=> [qw(moid_CscfSipServer)],
	REDUNDANT_DATA_COUNTERS  		=> [],
	PRODUCE_PIF				=> 0,
	OUTPUT_FORMAT                      	=> 'LIF_Writer',	
},

#########################
# End Processing for CSCF SIPClient - CSCF.
#########################
#########################
# Start Processing for CSCF Source - CSCF
#########################
{
        RULE_TYPE                		=> 'DATALINE_WHERE',
        RULE_DESC                		=> 'Split files by moid_Source',
        INPUT_FILE_DESCRIPTION   		=> [ '^Cscf_Source-#-.*-#-I\.pif$' ],
        PRODUCE_PIF              		=> 0,
        OUTPUT_FORMAT            		=> 'LIF_Writer',
	COUNTER_NAMES		 		=> [ {
							COUNTER_NAME	=> 'moid_Source',
							KEEP_WHERE	=> ['Proc_\w+'],
							REMOVE_WHERE	=> ['_SYSTEM'],
				     		}, ],
        OUTPUT_BLOCK_NAME        		=> 'PCscf',
	FILENAME_ADDITION        		=> 'PCscf',
},

{
        RULE_TYPE                		=> 'DATALINE_WHERE',
        RULE_DESC                		=> 'Split files by moid_Source',
        INPUT_FILE_DESCRIPTION   		=> [ '^Cscf_Source-#-.*-#-I\.pif$' ],
        PRODUCE_PIF              		=> 'True',
	PRODUCE_LIF 		   		=> 0,
        #OUTPUT_FORMAT            		=> 'LIF_Writer',
	COUNTER_NAMES		 		=> [ {
							COUNTER_NAME	=> 'moid_Source',
							KEEP_WHERE	=> ['_SYSTEM'],
							REMOVE_WHERE	=> ['Proc_\w+'],
				     		}, ],
        OUTPUT_BLOCK_NAME        		=> 'Cscf',
	FILENAME_ADDITION        		=> 'Cscf',
},

{
	RULE_TYPE				=> 'ACCUMULATE',
	RULE_DESC			 	=> 'Accumalate Cscf_Source group to sn_g3ManagedElement Level',
	INPUT_FILE_DESCRIPTION          	=> [ '^Cscf_Source-#-.*-#-Cscf-#-DW\.pif$' ],
	COUNTERS_TO_SORT_ON 			=> [ qw(moid_Source) ],
	OUTPUT_BLOCK_NAME			=> 'Cscf',
	NON_ADDITIVE_COUNTERS			=> [qw(moid_Cscf)],
	REDUNDANT_DATA_COUNTERS  		=> [],
	PRODUCE_LIF				=> 'True',
	PRODUCE_PIF				=> 0,
	OUTPUT_FORMAT                      	=> 'LIF_Writer',	
},
#########################
# End Processing for CSCF Source - CSCF.
#########################
#########################
# Start Processing for HSS Log - HSS
#########################
{
	RULE_TYPE				=> 'ACCUMULATE',
	RULE_DESC			 	=> 'Accumalate HSS group to sn_g3ManagedElement Level',
	#INPUT_FILE_DESCRIPTION          	=> [ '^HSS-#-grahss.*-#-\d{14}\.\w+\+\w+-#-\w{1}-#-\d+-#-I\.pif$' ],
	INPUT_FILE_DESCRIPTION          	=> [ '^HSS-#-grahss.*-#-\w{1}-#-\d+-#-I\.pif$' ],
	#COUNTERS_TO_SORT_ON 			=> [ qw(moid_Source) ],
	COUNTERS_TO_SORT_ON 			=> [],
	OUTPUT_BLOCK_NAME			=> 'HSS',
	NON_ADDITIVE_COUNTERS			=> [qw(moid_HSS moid_Source)],
	REDUNDANT_DATA_COUNTERS  		=> [],
	PRODUCE_PIF				=> 0,
	OUTPUT_FORMAT                      	=> 'LIF_Writer',	
},

{
        RULE_TYPE                		=> 'PIF_2_OUTPUT',
        RULE_DESC                		=> 'Output HSS Log LIF files',
        INPUT_FILE_DESCRIPTION   		=> [ '^ERICSSON_MGCF_SIP_MIB-#-\d{2}\w{3}\d{4}_\d{2}:\d{2}:\d{2}-#-\w{1}-#-\d+-#-I.pif$', ],
        DEFAULT_NULL_VALUE       		=> '',
        PRODUCE_PIF              		=> 0,
        OUTPUT_FORMAT            		=> 'LIF_Writer',
},
# End Processing for HSS Log - HSS
#########################
# Start Processing for EIN_M3_ITU_MIB Log - EIN_M3_ITU_MIB
{
        RULE_TYPE                               => 'JOIN',
        RULE_DESC                               => 'Join EIN_M3_ITU_MIB pif',
        INPUT_FILE_DESCRIPTION                  => ['^EIN_M3_ITU_MIB-#-(\w+-#-\d{2}\w{3}\d{4}_\d{2}:\d{2}:\d{2})-#-\w{1}-#-\d+-#-I\.pif'],
	COUNTERS_TO_JOIN_ON                     => [ qw( moid ) ],
        HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [ "sn_ManagedElement", "mts_Date", "mts_Time" ],
        OUTPUT_BLOCK_NAME                       => 'EIN_M3_ITU_MIB',
        OUTPUT_FILENAME_START                   => 'EIN_M3_ITU_MIB_Joined',
        PRODUCE_PIF                             => 'True',
        PRODUCE_LIF                             => 0,
        NON_APPLICABLE_HEADER_COUNTERS          => [],
        REDUNDANT_COUNTERS                      => [],
        HOURS_TO_WAIT_FOR_PARTNER_FILES         => 0.1,
},

{
        RULE_TYPE                               => 'ACCUMULATE',
        RULE_DESC                               => 'Accumalate EIN_M3_ITU_MIB group to sn_ManagedElement Level',
        INPUT_FILE_DESCRIPTION                  => [ '^EIN_M3_ITU_MIB_Joined-#-.*-#-J\.pif$' ],
        COUNTERS_TO_SORT_ON                     => [],
        OUTPUT_BLOCK_NAME                       => 'EIN_M3_ITU_MIB',
        NON_ADDITIVE_COUNTERS                   => [qw(moid moid_dod moid_einSS7 moid_enterprises moid_ericsson moid_internet moid_iso moid_m3Itu moid_m3ItuLinkSet moid_m3ItuManagement moid_m3ItuSignalingLink moid_m3ItuSignalingPoint moid_m3ItuSLAttributes moid_m3ItuSLStatistics moid_m3ItuSLStatisticsEntry moid_m3ItuSLStatisticsTable moid_org moid_private)],
        REDUNDANT_DATA_COUNTERS                 => [qw(moid moid_dod moid_einSS7 moid_enterprises moid_ericsson moid_internet moid_iso moid_m3Itu moid_m3ItuLinkSet moid_m3ItuManagement moid_m3ItuSignalingLink moid_m3ItuSignalingPoint moid_m3ItuSLAttributes moid_m3ItuSLStatistics moid_m3ItuSLStatisticsEntry moid_m3ItuSLStatisticsTable moid_org moid_private)],
        PRODUCE_PIF                             => 0,
        PRODUCE_LIF                             => 'True',
},

# End Processing for EIN_M3_ITU_MIB Log 
#########################
# Start Processing for IPMM_Ipwrk_DnsUnsucc
{
        RULE_TYPE                               => 'JOIN',
        RULE_DESC                               => 'Join IPMM_Ipwrk_DnsUnsucc pif',
        INPUT_FILE_DESCRIPTION                  => [ 'IPMM_Ipwrk_DnsUnsucc-#-(.*)-#-A-#-\d+-#-I\.pif$' ],
	COUNTERS_TO_JOIN_ON                     => [ qw( moid ) ],
        HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [ "sn_ManagedElement", "StartDate", "StartTime" ],
        OUTPUT_BLOCK_NAME                       => 'IPMM_Ipwrk_DnsUnsucc',
        OUTPUT_FILENAME_START                   => 'IPMM_Ipwrk_DnsUnsucc_Joined',
        PRODUCE_PIF                             => 'True',
        PRODUCE_LIF                             => 0,
        NON_APPLICABLE_HEADER_COUNTERS          => [],
        REDUNDANT_COUNTERS                      => [],
        HOURS_TO_WAIT_FOR_PARTNER_FILES         => 0.1,
},

{
        RULE_TYPE                               => 'ACCUMULATE',
        RULE_DESC                               => 'Accumalate IPMM_Ipwrk_DnsUnsucc group to sn_ManagedElement Level',
        INPUT_FILE_DESCRIPTION                  => [ '^IPMM_Ipwrk_DnsUnsucc_Joined-#-.*-#-J\.pif$' ],
        COUNTERS_TO_SORT_ON                     => [],
        OUTPUT_BLOCK_NAME                       => 'IPMM_Ipwrk_DnsUnsucc',
        NON_ADDITIVE_COUNTERS                   => [qw(moid moid_iso moid_ipworksProducts moid_ericsson moid_org moid_ipworks moid_ipworksDnsServUpdate moid_private moid_ipworksDns moid_dod moid_enterprises moid_internet moid_ipworksDnsServMIB moid_ipworksDnsServMIBObjects moid_ipworksDnsServQuery)],
        REDUNDANT_DATA_COUNTERS                 => [qw(moid moid_iso moid_ipworksProducts moid_ericsson moid_org moid_ipworks moid_ipworksDnsServUpdate moid_private moid_ipworksDns moid_dod moid_enterprises moid_internet moid_ipworksDnsServMIB moid_ipworksDnsServMIBObjects moid_ipworksDnsServQuery)],
        PRODUCE_PIF                             => 0,
        OUTPUT_FORMAT                           => 'LIF_Writer',
},






#-------------------------------------------------------------------------------
);

#-------------------------------------------------------------------------------

sub postparser_config {
	return \@rules;
}

1;
